org.springframework.web.socket.handler

## Interface WebSocketHandlerDecoratorFactory

    public interface WebSocketHandlerDecoratorFactory

A factory for applying decorators to a WebSocketHandler.

Decoration should be done through sub-classing `WebSocketHandlerDecorator` to allow any code to traverse decorators and/or unwrap the original handler when necessary .

Since:
  4.1.2
Author:
  Rossen Stoyanchev

### Method Summary

All Methods Instance Methods Abstract Methods
`WebSocketHandler` `decorate(WebSocketHandler handler)` Decorate the given WebSocketHandler.

### Method Detail

#### decorate

    WebSocketHandler decorate(WebSocketHandler handler)

Decorate the given WebSocketHandler.

Parameters:
  `handler` - the handler to be decorated.
Returns:
  the same handler or the handler wrapped with a sub-class of `WebSocketHandlerDecorator`.